Ordenes
3 min
Estos servicios sólo pueden ser consumidos por Bancos/Billeteras.
Obtener Ordenes
Permite obtener todas las ordenes
POST
https://api.interoperable.ar/orders
Query Parameters
- envstringDescription
- barcodestringDescription
- reverseDomainstringDescription
- uidstringDescription
Header Parameters
- Authorizationstringrequired
curl
curl --location --request POST 'https://api.interoperable.ar/orders' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: string'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.interoperable.ar/orders',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'string'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
myHeaders.append("Authorization", "string");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.interoperable.ar/orders", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.interoperable.ar/orders"
payload = {}
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.interoperable.ar/orders")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request["Authorization"] = "string"
response = https.request(request)
puts response.read_body
200
{
"data": [
{
"acquirerDomains": null,
"acquirers": null,
"barcode": "00020101021143810020...",
"createdAt": "1970-01-01T00:00:00Z",
"currency": "",
"customerSources": null,
"env": "homo",
"externalResponses": null,
"localizedMerchantData": null,
"localizedOrderData": null,
"merchantData": {},
"orderData": {
"isStatic": true
},
"paymentAcquirer": "000000000000000000000000",
"paymentId": "",
"paymentRequest": null,
"paymentResponse": null,
"support": [],
"total": 0,
"uid": "JTEDM15WZOG42OMQYWK1D4"
},
{
"acquirerDomains": null,
"acquirers": null,
"barcode": "000201010211438100...",
"createdAt": "1970-01-01T00:00:00Z",
"currency": "",
"customerSources": null,
"env": "homo",
"externalResponses": null,
"localizedMerchantData": null,
"localizedOrderData": null,
"merchantData": {},
"orderData": {
"isStatic": true
},
"paymentAcquirer": "000000000000000000000000",
"paymentId": "",
"paymentRequest": null,
"paymentResponse": null,
"support": [],
"total": 0,
"uid": "OL43W9HA35NY8SH54WRBSN"
},
{
"acquirerDomains": null,
"acquirers": null,
"barcode": "00020101021...",
"createdAt": "1970-01-01T00:00:00Z",
"currency": "",
"customerSources": null,
"env": "homo",
"externalResponses": null,
"localizedMerchantData": null,
"localizedOrderData": null,
"merchantData": {},
"orderData": {
"isStatic": true
},
"paymentAcquirer": "000000000000000000000000",
"paymentId": "",
"paymentRequest": null,
"paymentResponse": null,
"support": [],
"total": 0,
"uid": "M8IQW08K456ZP0DRPW63FQ"
}
],
"nextToken": "68f29e00d1a6b3c153be0809",
"result": true
}500
{
"code": "500",
"message": "FAT_ERR"
}{
"data": [
{
"acquirerDomains": null,
"acquirers": null,
"barcode": "00020101021143810020...",
"createdAt": "1970-01-01T00:00:00Z",
"currency": "",
"customerSources": null,
"env": "homo",
"externalResponses": null,
"localizedMerchantData": null,
"localizedOrderData": null,
"merchantData": {},
"orderData": {
"isStatic": true
},
"paymentAcquirer": "000000000000000000000000",
"paymentId": "",
"paymentRequest": null,
"paymentResponse": null,
"support": [],
"total": 0,
"uid": "JTEDM15WZOG42OMQYWK1D4"
},
{
"acquirerDomains": null,
"acquirers": null,
"barcode": "000201010211438100...",
"createdAt": "1970-01-01T00:00:00Z",
"currency": "",
"customerSources": null,
"env": "homo",
"externalResponses": null,
"localizedMerchantData": null,
"localizedOrderData": null,
"merchantData": {},
"orderData": {
"isStatic": true
},
"paymentAcquirer": "000000000000000000000000",
"paymentId": "",
"paymentRequest": null,
"paymentResponse": null,
"support": [],
"total": 0,
"uid": "OL43W9HA35NY8SH54WRBSN"
},
{
"acquirerDomains": null,
"acquirers": null,
"barcode": "00020101021...",
"createdAt": "1970-01-01T00:00:00Z",
"currency": "",
"customerSources": null,
"env": "homo",
"externalResponses": null,
"localizedMerchantData": null,
"localizedOrderData": null,
"merchantData": {},
"orderData": {
"isStatic": true
},
"paymentAcquirer": "000000000000000000000000",
"paymentId": "",
"paymentRequest": null,
"paymentResponse": null,
"support": [],
"total": 0,
"uid": "M8IQW08K456ZP0DRPW63FQ"
}
],
"nextToken": "68f29e00d1a6b3c153be0809",
"result": true
}Obtener Orden
Obtener Orden
Pagar Orden via QR
POST
https://api.interoperable.ar/orders/:uid
Path Parameters
- uidstringDescription
Header Parameters
- AuthorizationstringrequiredDescription
curl
curl --location --globoff --request POST 'https://api.interoperable.ar/orders/:uid/{uid}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: string'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.interoperable.ar/orders/:uid/{uid}',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'string'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
myHeaders.append("Authorization", "string");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.interoperable.ar/orders/:uid/{uid}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.interoperable.ar/orders/:uid/{uid}"
payload = {}
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.interoperable.ar/orders/:uid/{uid}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request["Authorization"] = "string"
response = https.request(request)
puts response.read_body
200
{
"data": {
"acquirerDomains": [
{
"acquirer": "ar.com.aceptador",
"index": "43"
}
],
"acquirers": null,
"barcode": "00020101021143810020ar.com.aceptador...",
"createdAt": "2026-01-29T19:20:21.344Z",
"currency": "",
"customerSources": null,
"env": "prod",
"externalResponses": {
"resolve": {
"body": {},
"error": "Request failed with status code 403",
"headers": {
"accept": "application/json, text/plain, */*",
"accept-encoding": "gzip, compress, deflate, br",
},
"status": 403,
"url": "https://api.aceptador.com.ar/resolve?access_token=********************************&data=00020101021143810020ar.com.aceptador..."
}
},
"localizedMerchantData": null,
"localizedOrderData": null,
"merchantData": {},
"orderData": {
"isStatic": true
},
"paymentAcquirer": "000000000000000000000000",
"paymentId": "",
"paymentRequest": null,
"paymentResponse": null,
"support": [],
"total": 1,
"uid": "JWLV26ZXVZRPQD2MAT6LH5"
},
"result": true
}404
{
"message": "Ain't no cake like that."
}Ejemplo de Respuesta
{
"data": {
"acquirerDomains": [
{
"acquirer": "ar.com.aceptador",
"index": "43"
}
],
"acquirers": null,
"barcode": "00020101021143810020ar.com.aceptador...",
"createdAt": "2026-01-29T19:20:21.344Z",
"currency": "",
"customerSources": null,
"env": "prod",
"externalResponses": {
"resolve": {
"body": {},
"error": "Request failed with status code 403",
"headers": {
"accept": "application/json, text/plain, */*",
"accept-encoding": "gzip, compress, deflate, br",
},
"status": 403,
"url": "https://api.aceptador.com.ar/resolve?access_token=********************************&data=00020101021143810020ar.com.aceptador..."
}
},
"localizedMerchantData": null,
"localizedOrderData": null,
"merchantData": {},
"orderData": {
"isStatic": true
},
"paymentAcquirer": "000000000000000000000000",
"paymentId": "",
"paymentRequest": null,
"paymentResponse": null,
"support": [],
"total": 1,
"uid": "JWLV26ZXVZRPQD2MAT6LH5"
},
"result": true
}